---
title: llarp::path::BuildLimiter
summary: limiter for path builds prevents overload and such 

---

# llarp::path::BuildLimiter



limiter for path builds prevents overload and such 


`#include <pathbuilder.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| bool | **[Attempt](Classes/classllarp_1_1path_1_1BuildLimiter.md#function-attempt)**(const [RouterID](Classes/structllarp_1_1RouterID.md) & router)<br>attempt a build return true if we are allowed to continue  |
| void | **[Decay](Classes/classllarp_1_1path_1_1BuildLimiter.md#function-decay)**(llarp_time_t now)<br>decay limit entries  |
| bool | **[Limited](Classes/classllarp_1_1path_1_1BuildLimiter.md#function-limited)**(const [RouterID](Classes/structllarp_1_1RouterID.md) & router) const<br>return true if this router is currently limited  |

## Public Functions Documentation

### function Attempt

```cpp
bool Attempt(
    const RouterID & router
)
```

attempt a build return true if we are allowed to continue 

### function Decay

```cpp
void Decay(
    llarp_time_t now
)
```

decay limit entries 

### function Limited

```cpp
bool Limited(
    const RouterID & router
) const
```

return true if this router is currently limited 

-------------------------------

Updated on 2022-09-19 at 17:18:34 +0000